# clear_cmd.cpp File Reference

Commands related to clear tiles. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "clear_map.h"`
`#include "command_func.h"`
`#include "landscape.h"`
`#include "variables.h"`
`#include "genworld.h"`
`#include "industry.h"`
`#include "functions.h"`
`#include "economy_func.h"`
`#include "viewport_func.h"`
`#include "water.h"`
`#include "settings_type.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`
`#include "table/clear_land.h"`

Go to the source code of this file.

## Functions

static CommandCost | ClearTile_Clear (TileIndex tile, DoCommandFlag flags)
void | DrawClearLandTile (const TileInfo *ti, byte set)
void | DrawHillyLandTile (const TileInfo *ti)
void | DrawClearLandFence (const TileInfo *ti)
static void | DrawTile_Clear (TileInfo *ti)
static uint | GetSlopeZ_Clear (TileIndex tile, uint x, uint y)
static Foundation | GetFoundation_Clear (TileIndex tile, Slope tileh)
static void | GetAcceptedCargo_Clear (TileIndex tile, AcceptedCargo ac)
static void | AnimateTile_Clear (TileIndex tile)
void | TileLoopClearHelper (TileIndex tile)
static void | TileLoopClearAlps (TileIndex tile)
static void | TileLoopClearDesert (TileIndex tile)
static void | TileLoop_Clear (TileIndex tile)
void | GenerateClearTile ()
static bool | ClickTile_Clear (TileIndex tile)
static TrackStatus | GetTileTrackStatus_Clear (TileIndex tile, TransportType mode, uint sub_mode, DiagDirection side)
static void | GetTileDesc_Clear (TileIndex tile, TileDesc *td)
static void | ChangeTileOwner_Clear (TileIndex tile, Owner old_owner, Owner new_owner)
void | InitializeClearLand ()
static CommandCost | TerraformTile_Clear (TileIndex tile, DoCommandFlag flags, uint z_new, Slope tileh_new)

## Variables

static const StringID | _clear_land_str []
const TileTypeProcs | _tile_type_clear_procs

## Detailed Description

Commands related to clear tiles.

Definition in file clear_cmd.cpp.

## Variable Documentation

const StringID _clear_land_str[]`[static]`

Initial value:

     {
      STR_080D_GRASS,
      STR_080B_ROUGH_LAND,
      STR_080A_ROCKS,
      STR_080E_FIELDS,
      STR_080F_SNOW_COVERED_LAND,
      STR_0810_DESERT
    }

Definition at line 331 of file clear_cmd.cpp.

const TileTypeProcs _tile_type_clear_procs

Initial value:

     {
      DrawTile_Clear,
      GetSlopeZ_Clear,
      ClearTile_Clear,
      GetAcceptedCargo_Clear,
      GetTileDesc_Clear,
      GetTileTrackStatus_Clear,
      ClickTile_Clear,
      AnimateTile_Clear,
      TileLoop_Clear,
      ChangeTileOwner_Clear,
      NULL,
      NULL,
      GetFoundation_Clear,
      TerraformTile_Clear,
    }